Subject: Re: [GSoC PATCH v3] t9200: replace test -f/-d with modern path helpers

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Mar 2026 12:42:01 -0700

Pablo <[email-masked]> writes:

>> Our test-path helpers should work even outside test_expect_*
>> functions, so this is not wrong per-se, but it somehow looks a bit
>> unusual.  A related clean-up would be to wrap the CVS initialization
>> part inside another "do we even have a working CVS installation to
>> make it worth our time testing 'git cvsexportcommit' command?"
>
>
> Thanks for the feedback, I can send a separate patch to wrap the CVS
> in a skip_all git move the git setup

Yeah, but if we are going to do so eventually, it would be pointless
to use the path helper in that "set up CVS environment and make sure
we got a sensible directory structure" check, no?  Upon failure, we 
will hit test_done that loudly says that their CVS installation is
not working as we expect.